Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAED8

    java.lang.Object
      org.netlib.lapack.SLAED8

    public class SLAED8

extends java.lang.Object

    SLAED8 is a simplified interface to the JLAPACK routine slaed8.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAED8 merges the two sets of eigenvalues together into a single
     *  sorted set.  Then it tries to deflate the size of the problem.
     *  There are two ways in which deflation can occur:  when two or more
     *  eigenvalues are close together or if there is a tiny element in the
     *  Z vector.  For each such occurrence the order of the related secular

     *  equation problem is reduced by one.
     *
     *  Arguments
     *  =========
     *
     *  ICOMPQ  (input) INTEGER
     *          = 0:  Compute eigenvalues only.
     *          = 1:  Compute eigenvectors of original dense symmetric matrix
     *                also.  On entry, Q contains the orthogonal matrix used

     *                to reduce the original matrix to tridiagonal form.
     *
     *  K      (output) INTEGER
     *         The number of non-deflated eigenvalues, and the order of the
     *         related secular equation.
     *
     *  N      (input) INTEGER
     *         The dimension of the symmetric tridiagonal matrix.  N >= 0.
     *
     *  QSIZ   (input) INTEGER
     *         The dimension of the orthogonal matrix used to reduce
     *         the full matrix to tridiagonal form.  QSIZ >= N if ICOMPQ = 1.
     *
     *  D      (input/output) REAL array, dimension (N)
     *         On entry, the eigenvalues of the two submatrices to be
     *         combined.  On exit, the trailing (N-K) updated eigenvalues
     *         (those which were deflated) sorted into increasing order.
     *
     *  Q      (input/output) REAL array, dimension (LDQ,N)
     *         If ICOMPQ = 0, Q is not referenced.  Otherwise,
     *         on entry, Q contains the eigenvectors of the partially solved

     *         system which has been previously updated in matrix
     *         multiplies with other partially solved eigensystems.
     *         On exit, Q contains the trailing (N-K) updated eigenvectors
     *         (those which were deflated) in its last N-K columns.
     *
     *  LDQ    (input) INTEGER
     *         The leading dimension of the array Q.  LDQ >= max(1,N).
     *
     *  INDXQ  (input) INTEGER array, dimension (N)
     *         The permutation which separately sorts the two sub-problems
     *         in D into ascending order.  Note that elements in the second
     *         half of this permutation must first have CUTPNT added to
     *         their values in order to be accurate.
     *
     *  RHO    (input/output) REAL
     *         On entry, the off-diagonal element associated with the rank-1

     *         cut which originally split the two submatrices which are now
     *         being recombined.
     *         On exit, RHO has been modified to the value required by
     *         SLAED3.
     *
     *  CUTPNT (input) INTEGER
     *         The location of the last eigenvalue in the leading
     *         sub-matrix.  min(1,N) <= CUTPNT <= N.
     *
     *  Z      (input) REAL array, dimension (N)
     *         On entry, Z contains the updating vector (the last row of
     *         the first sub-eigenvector matrix and the first row of the
     *         second sub-eigenvector matrix).
     *         On exit, the contents of Z are destroyed by the updating
     *         process.
     *
     *  DLAMDA (output) REAL array, dimension (N)
     *         A copy of the first K eigenvalues which will be used by
     *         SLAED3 to form the secular equation.
     *
     *  Q2     (output) REAL array, dimension (LDQ2,N)
     *         If ICOMPQ = 0, Q2 is not referenced.  Otherwise,
     *         a copy of the first K eigenvectors which will be used by
     *         SLAED7 in a matrix multiply (SGEMM) to update the new
     *         eigenvectors.
     *
     *  LDQ2   (input) INTEGER
     *         The leading dimension of the array Q2.  LDQ2 >= max(1,N).
     *
     *  W      (output) REAL array, dimension (N)
     *         The first k values of the final deflation-altered z-vector and
     *         will be passed to SLAED3.
     *
     *  PERM   (output) INTEGER array, dimension (N)
     *         The permutations (from deflation and sorting) to be applied
     *         to each eigenblock.
     *
     *  GIVPTR (output) INTEGER
     *         The number of Givens rotations which took place in this
     *         subproblem.
     *
     *  GIVCOL (output) INTEGER array, dimension (2, N)
     *         Each pair of numbers indicates a pair of columns to take place
     *         in a Givens rotation.
     *
     *  GIVNUM (output) REAL array, dimension (2, N)
     *         Each number indicates the S value to be used in the
     *         corresponding Givens rotation.
     *
     *  INDXP  (workspace) INTEGER array, dimension (N)
     *         The permutation used to place deflated values of D at the end

     *         of the array.  INDXP(1:K) points to the nondeflated D-values
     *         and INDXP(K+1:N) points to the deflated eigenvalues.
     *
     *  INDX   (workspace) INTEGER array, dimension (N)
     *         The permutation used to sort the contents of D into ascending

     *         order.
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAED8()`

Method Summary
`static void` | `SLAED8(int icompq, intW k, int n, int qsiz, float[] d, float[][] q, int[] indxq, floatW rho, int cutpnt, float[] z, float[] dlamda, float[][] q2, float[] w, int[] perm, intW givptr, int[][] givcol, float[][] givnum, int[] indxp, int[] indx, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAED8

    public SLAED8()

Method Detail

### SLAED8

    public static void SLAED8(int icompq,
                              intW k,
                              int n,
                              int qsiz,
                              float[] d,
                              float[][] q,
                              int[] indxq,
                              floatW rho,
                              int cutpnt,
                              float[] z,
                              float[] dlamda,
                              float[][] q2,
                              float[] w,
                              int[] perm,
                              intW givptr,
                              int[][] givcol,
                              float[][] givnum,
                              int[] indxp,
                              int[] indx,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD